{% extends 'pages/pages_base.html.twig' %}

{% block title %} {{ title }} {% endblock %}

{% block pages_body %}

    <div class="Shopping-cart-area">
        <div class="container">
            <div class="row">
                <div class="col-12">

                    <div class="row mb-5">
                        <div class="col-12">
                            <div class="coupon-all">
                                <a href="{{ path('admin_category_create') }}" class="button">Create category</a>
                            </div>
                        </div>
                    </div>

                    <form method="get">
                        <div class="row mb-5">
                            <div class="col-11">
                                <input placeholder="Search in categories ..." name="q" type="search" class="form-control" value="{{ app.request.query.get('q') }}" />
                            </div>
                            <div class="col-1">
                                <button type="submit" class="button but">
                                    <i class="fas fa-search"></i>
                                </button>
                            </div>
                        </div>
                    </form>

                    <div class="table-content table-responsive ">
                        <table class="table mb-5">
                            <thead>
                                <tr>
                                    <th class="cart-product-name">Title</th>
                                    <th class="cart-product-name">Product Count</th>
                                    <th class="anadi-product-subtotal">Created time</th>
                                    <th class="anadi-product-remove">Edit</th>
                                </tr>
                            </thead>
                            <tbody>
                            {% for category in pagination %}
                                <tr>
                                    <td class="anadi-product-name">
                                        {{ category.title }}
                                    </td>
                                    <td class="anadi-product-name">
                                        {{ category.products|length }}
                                    </td>
                                    <td class="anadi-product-name">
                                        {{ category.createdAt|ago }}
                                    </td>
                                    <td class="anadi-product-remove">
                                        <a href="{{ path('admin_category_edit',{'id':category.id}) }}">
                                            <i class="fa fa-pencil-alt"></i>
                                        </a>
                                    </td>
                                </tr>
                            {% else %}
                                <tr>
                                    <td colspan="4">No category found</td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>

                    </div>

                    <div class="row">
                        <div class="col-lg-12 col-md-12 col-12">

                            <div class="pagination-style text-center">

                                {{ knp_pagination_render(pagination) }}

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

{% endblock %}
